Skip to content

Overview

  • Version: 2.0.0
  • Servers: https://store.xsolla.com/api
  • Contact Us by Email
  • Contact URL: https://xsolla.com/
  • Required TLS version: 1.2

Shop Builder API provides a third-party solution for implementing the server side for your store interface. Use the endpoints to manage in-game items, in-game currencies, cart, player inventory, promotions, game library, etc.

Download OpenAPI description
Languages
Servers
Mock server
https://xsolla.redocly.app/_mock/api/shop-builder/
https://store.xsolla.com/api/
Operations

Personalized catalog

This API allows to specify rules for user attributes. If the user meets all conditions for a concrete rule, personalized items will be shown.

For personalized promotions see Promotions section.

To pass attributes before a purchase, you can use Xsolla Login API or pass them into user.attributes property while generating token using Pay Station API.

Operations
Operations
Operations
Operations
Operations
Operations
Operations
Operations
Operations
Operations
Operations
Operations

Catalog

This API allows getting any kind of sellable items or specific item.

Operations
Operations
Operations
Operations
Operations
Operations

Coupons

This API allows to you to manage coupons.

Operations

Promo codes

This API allows to manage promo codes.

Operations

Unique catalog offers

This API allows to you to manage unique catalog offers.

Operations

Discounts

This API allows to you to manage discount promotions.

Operations

Bonuses

This API allows to manage bonus promotions.

Operations
Operations
Operations
Operations
Operations
Operations
Operations
Operations
Operations
Operations
Operations
Operations

Get current user's daily rewardsClient-side

Request

Client endpoint. Gets the current user's daily rewards.

Notice

A method returns a paginated list of items. The maximum and default value is 50 items per response. To get more items from the list, use the `limit` and `offset` parameters and fetch more pages. For example, when calling a method with `limit = 25` and `offset = 100`, the response returns 25 items starting from the 101st item in the overall list.
Security
XsollaLoginUserJWT
Path
project_idintegerrequired

Project ID. You can find this parameter in your Publisher Account next to the name of the project.

Example: 44056
Query
limitinteger>= 1

Limit for the number of elements on the page.

Example: limit=50
offsetinteger>= 0

Number of the element from which the list is generated (the count starts from 0).

Example: offset=0
curl -i -X GET \
  'https://xsolla.redocly.app/_mock/api/shop-builder/v2/project/44056/user/daily_chain?limit=50&offset=0' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

The user’s daily rewards were successfully retrieved.

Bodyapplication/json
has_moreboolean

Used as an indicator that there are more pages.

Example: true
total_items_countinteger

Total number of daily rewards.

Example: 3
itemsArray of any(client-daily-chain-model)
Response
application/json
{ "has_more": false, "total_items_count": 3, "items": [ {}, {}, {}, {} ] }

Get current user's daily reward by its IDClient-side

Request

Client endpoint. Gets the current user’s daily reward by its ID.

Security
XsollaLoginUserJWT
Path
project_idintegerrequired

Project ID. You can find this parameter in your Publisher Account next to the name of the project.

Example: 44056
daily_chain_idintegerrequired

Daily reward ID.

Example: 101
curl -i -X GET \
  https://xsolla.redocly.app/_mock/api/shop-builder/v2/project/44056/user/daily_chain/101 \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

The user’s daily reward was successfully retrieved.

Bodyapplication/json
typestring

Daily reward type that determines when users can claim rewards.

Enum ValueDescription
calendar_hard

Unlocks the next step reward every 24 hours. Any unclaimed step rewards are permanently lost once the next step reward becomes available.

rolling_skippable

Unlocks the next step reward every 24 hours based on date_start. Progression is sequential: a new reward will not unlock until the previous one has been claimed. If a user skips one or more days, they continue from where they left off; missed days do not grant multiple rewards.

rolling_unskippable

Unlocks the next step reward every 24 hours based on date_start. Progression is sequential: a new reward will not unlock until the previous one has been claimed. However, if a user skips a day, their progress is reset, and they must start again from the first step.

Discriminator
date_startstring(date-time)(calendar_hard_date_start)

Date when your daily reward starts.

Example: "2020-04-15T18:16:00+05:00"
is_recurrentboolean(calendar_hard_is_recurrent)

Whether the daily reward is recurrent. If true, the daily reward will automatically reset after the end date. The next start_date and end_date schedule is based on the number of daily reward steps and the initial time set on start_date.

Default false
Example: true
idinteger

Daily reward ID.

Example: 9
namestring

Daily reward name.

Example: "Weekly quest"
descriptionstring or null

Daily reward description.

Example: "Major weekly quest"
orderinteger(order)

Defines arrangement order.

Example: 1
date_endstring or null(date-time)(daily_chain_date_end)

Date when your daily reward ends. Can be null. Setting the type calendar_hard will automatically set this date based on number of steps added, so you can leave this as null.

Example: "2020-04-15T18:16:00+05:00"
stepsArray of objects(client-daily-chain-step-model)
Response
application/json
{ "id": 101, "name": "Active daily reward", "description": "Active daily reward description", "date_start": "2025-04-01T18:16:00+05:00", "date_end": "2025-04-03T18:16:00+05:00", "order": 1, "steps": [ {}, {}, {}, {} ], "type": "calendar_hard" }

Claim daily reward stepClient-side

Request

Client endpoint. Claims the current user's step reward from a daily reward. All steps can only be claimed in sequential order. The reward for a missed step cannot be obtained for virtual or real currency, or by watching an ad

Security
XsollaLoginUserJWT
Path
project_idintegerrequired

Project ID. You can find this parameter in your Publisher Account next to the name of the project.

Example: 44056
daily_chain_idintegerrequired

Daily reward ID.

Example: 101
step_numberintegerrequired

Daily reward step number.

Example: 1
curl -i -X POST \
  https://xsolla.redocly.app/_mock/api/shop-builder/v2/project/44056/user/daily_chain/101/step/number/1/claim \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Successfully claimed the current user's step reward for a daily reward step.

Response
No content
Operations
Operations
Operations